summaryrefslogtreecommitdiff
path: root/build_tools
diff options
context:
space:
mode:
authorTzafrir Cohen <tzafrir.cohen@xorcom.com>2010-11-15 14:53:24 +0000
committerTzafrir Cohen <tzafrir.cohen@xorcom.com>2010-11-15 14:53:24 +0000
commit7e8dea632fd72cce30b9ed0875ffe7bd476fe6f8 (patch)
treef2b4f43acb5a444205366b0d96637c716f954c11 /build_tools
parent460fce02511fa814304b888c105aeaa3ca6cbabf (diff)
live_dahdi: only check for TOOLS_DIR when used
Only check that TOOLD_DIR is valid when it is actually needed (configure, install, config). This allows not checking for it with *load on a rsync-ed copy. git-svn-id: http://svn.asterisk.org/svn/dahdi/linux/trunk@9479 a0bf4364-ded3-4de4-8d8a-66a801d63aff
Diffstat (limited to 'build_tools')
-rwxr-xr-xbuild_tools/live_dahdi16
1 files changed, 11 insertions, 5 deletions
diff --git a/build_tools/live_dahdi b/build_tools/live_dahdi
index d23e46d..4a9f20a 100755
--- a/build_tools/live_dahdi
+++ b/build_tools/live_dahdi
@@ -29,13 +29,16 @@ if [ ! -d "$LINUX_DIR" ]; then
exit 1
fi
-if [ ! -d "$TOOLS_DIR" ]; then
- echo >&2 "$0:dahdi-tools dir '$TOOLS_DIR' does not exits. Aborting".
- exit 1
-fi
set -e
LINUX_DIR_FULL=`(cd $LINUX_DIR; pwd)`
-TOOLS_DIR_FULL=`(cd $TOOLS_DIR; pwd)`
+
+set_tools_dir() {
+ if [ ! -d "$TOOLS_DIR" ]; then
+ echo >&2 "$0:dahdi-tools dir '$TOOLS_DIR' does not exits. Aborting".
+ exit 1
+ fi
+ TOOLS_DIR_FULL=`(cd $TOOLS_DIR; pwd)`
+}
# Give priority to our installed binaries:
PATH=$DESTDIR/sbin:$DESTDIR/usr/sbin:$PATH
@@ -227,15 +230,18 @@ usage() {
case "$1" in
configure)
shift
+ set_tools_dir
cd "$TOOLS_DIR"; ./configure --with-dahdi="$LINUX_DIR_FULL" "$@"
;;
install)
shift
+ set_tools_dir
cd "$LINUX_DIR"; make install DESTDIR=$DESTDIR "$@"
cd "$TOOLS_DIR_FULL"; make install DESTDIR=$DESTDIR DYNFS=yes "$@"
;;
config)
shift
+ set_tools_dir
cd "$TOOLS_DIR"; make config DESTDIR=$DESTDIR "$@"
mkdir -p $DESTDIR/etc/asterisk
cat >"$FIRMWARE_DIR/live-init.conf" <<EOF